[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.MimeType

MimeType - the MIME type of the graphic.

## Declaration

Source position: graphics.pp line 855

`public property TGraphic.MimeType : string read GetMimeType;`

## Description

MimeType is a read-only String property which contains the MIME type (or IANA Media Type/Subtype) used for the graphic data in the class instance. MimeType is composed of values representing the general category for the data and a specification of the exact content for the type. It conforms to the values defined by the IANA (Internet Assigned Numbers Authority).

In TGraphics, the MimeType is always an empty string (''). In descendent classes, the value indicates that it is in the 'image' category and uses a subtype with the common extensions for the graphics format. For example:

- 'image/bmp'
- 'image/gif'
- 'image/jpg'
- 'image/jpeg'
- 'image/png'
- 'image/xpm'